# Class default

- Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:1

#####
Index

### Constructors

constructor

### Properties

fillColor
list
scene

### Methods

add
addAt
addedToScene
destroy
getAll
getAt
getIndex
once
remove
removeAll
removeFromDisplayList
setAlpha
setName
setOrigin
setPositionRelative
setVisible

## Constructors

### constructor

- new default(textureManager, x, y, width, height, fillColor): default

- #### Parameters

  - textureManager: any
  - x: any
  - y: any
  - width: any
  - height: any
  - fillColor: any

  #### Returns default

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:6

## Properties

### `Private` fillColor

fillColor: any

- Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:2

### list

list: any[] = []

- Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:4

### `Private` scene

scene: any

- Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:3

## Methods

### add

- add(obj): void

- #### Parameters

  - obj: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:40

### addAt

- addAt(obj, index): void

- #### Parameters

  - obj: any
  - index: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:50

### addedToScene

- addedToScene(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:28

### destroy

- destroy(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:36

### getAll

- getAll(): any[]

- #### Returns any[]

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:71

### getAt

- getAt(index): any

- #### Parameters

  - index: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:67

### getIndex

- getIndex(obj): number

- #### Parameters

  - obj: any

  #### Returns number

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:62

### once

- once(event, callback, source): void

- #### Parameters

  - event: any
  - callback: any
  - source: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:21

### remove

- remove(obj): void

- #### Parameters

  - obj: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:55

### removeAll

- removeAll(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:45

### removeFromDisplayList

- removeFromDisplayList(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:24

### setAlpha

- setAlpha(alpha): void

- #### Parameters

  - alpha: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:13

### setName

- setName(name): void

- #### Parameters

  - name: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:18

### setOrigin

- setOrigin(x, y): void

- #### Parameters

  - x: any
  - y: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:10

### setPositionRelative

- setPositionRelative(source, x, y): void

- #### Parameters

  - source: any
  - x: any
  - y: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:32

### setVisible

- setVisible(visible): void

- #### Parameters

  - visible: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockRectangle.ts:15